Ingest a list of meter events

Requires the METER_DATA.INGEST permission.

Authentication

X-API-KEYstring
API Key authentication via header
OR
AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

versionstringRequiredDefaults to 1
version

Headers

x-platform-idstringOptional
Platform ID.

Query parameters

cost_predictionbooleanOptional
The option to return cost prediction.
meter_validationstringOptional

The validation strategy applied to the referenced meter. STATIC (the default) requires the meter, its values and properties to already exist. DYNAMIC creates the meter and its missing values/properties/enum values on the fly during ingest.

Request

This endpoint expects an object.
meter_dataslist of objectsRequired

Response

Created
meter_dataslist of objects

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
409
Conflict Error
500
Internal Server Error